Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.el.util
Class ConcurrentCache<K,V>

    java.lang.Object
      org.apache.el.util.ConcurrentCache<K,V>

    public final class ConcurrentCache<K,V>

extends java.lang.Object

Constructor Summary
`ConcurrentCache(int size)`

Method Summary
`V` | `get(K k)`
`void` | `put(K k, V v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcurrentCache

    public ConcurrentCache(int size)

Method Detail

### get

    public V get(K k)

### put

    public void put(K k,
                    V v)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.